import 'package:flutter/material.dart';

class AppColor {
  //Primary Color
  static const Color primaryColor = Color(0xFF002F0F);
  static const Color primaryColor2 = Color(0xFF004717);

  //Welcome Color
  static const Color indicatorActiveColor = Color(0xFF002F0F);
  static const Color indicatorInactiveColor = Color(0xFFb8c1bb);

  //Common Color
  static const Color plainWhite = Color(0xFFFFFFFF);
  static const Color darkGreyColor = Color(0xFF343434);
  static const Color plainBlack = Color(0xFF000000);

  //Auth Color
  static const Color charcoalColor = Color(0xFF272727);
  static const Color smokeGrayColor = Color(0xFF787878);
  static const Color textLabelColor = Color(0xFF363636);
  static const Color forgotPassButtonColor = Color(0xFF888888);

  //Text Form Field Color
  static const Color txtBorderColor = Color(0xFFE3E3E3);
  static const Color txtBorderShadowColor = Color(0xFFE9E9E9);
  static const Color hintTextColor = Color(0xFF8D8D8D);
  static const Color txtErrorBorderColor = Color(0xFFF1B9B9);
  static const Color txtErrorColor = Color(0xFFD21C1C);

  //Button Color
  static const Color inactiveBtnColor = Color(0xFFD8D8D8);
  static const Color inactiveBtnTxtColor = Color(0xFF8D8D8D);

  //AppBar Color
  static const Color appBarIconColor = Color(0xFF363636);

  //Radio Color
  static const Color radioActiveColor = Color(0xFF0B8933);
  static const Color shadowColor = Colors.black26;

  //Otp Color
  static const Color strokeColor = Color(0xFFB4B4B4);
  static const Color otpTextColor = Color(0xFF191B1E);
  static const Color fillColor = Color(0xFFF6F6F6);

  //CheckBox Color
  static const Color checkBoxActiveColor = Color(0xFF09622E);

  //Selectable Text Color
  static const Color selectableTextColor = Color(0xFF015BA2);

  //Pin Code Color
  static const Color pinFillColor = Color(0xFFC9D9CB);
  static const Color pinFillBorderColor = Color(0xFF648774);
  static const Color pinInActiveBorderColor = Color(0xFFDFDFE3);

  //Portfolio Color
  static const Color portfolioCardBgColor = Color(0xFFF8F8F8);
  static const Color negativePercentageColor = Color(0xFFde9595);
  static const Color statusTextColor = Color(0xFF0FA4A4);
  static const Color portoflioCardTextColor = Color(0xFF535353);
  static const Color documentCardBgColor = Color(0xFFF4F4F4);
  static const Color stausBgColor = Color(0xFF59B7B7);

  //bottom navigation bar
  static const Color selectedItemColor = Color(0xFF0B8933);
  static const Color unselectedItemColor = Color(0xFF676767);

  //Academy Color
  static const Color academyCardBgColor = Color(0xFFF8F8F8);
  static const Color academyCardTextColor = Color(0xFFD8D8D8);

  //KYC Card Color
  static const Color kycCardTextColor = Color(0xFF074A23);
  static const Color kycCardBgColor = Color(0x7F074A23);

  //Contact Admin Color
  static const Color contactAdminIconColor = Color(0xFF05391B);
  static const Color contactAdminBgColor = Color(0xFFE2EEE2);

  //Language Color
  static const Color languageTextColor = Color(0xFF015698);
  static const Color infoTextColor = Color(0xFFDF7B00);

  //Delete Account Color
  static const Color descriptionText = Color(0xFFC6C6C6);

  //Invest Color
  static const Color investKycCardColor = Color(0xFFEEF5FA);
  static const Color investKycBorderColor = Color(0xFFB0D3EF);
  static const Color investKycBoxShadow1Color = Color(0xFF90D4FF);
  static const Color investKycBoxShadow2Color = Color(0xA0DAF0FF);
  static const Color investTextColor = Color(0xFF066123);
  static const Color investPaymentTextColor = Color(0xFF535353);

  //Wallet Color
  static const Color onHoldTextColor = Color(0xFF0172CB);

  static const Color depositListIconColor = Color(0xFF0FA4A4);
  static const Color withdrawalListIconColor = Color(0xFFE6681F);
  static const Color investmentListIconColor = Color(0xFF0172CB);
  static const Color yieldListIconColor = Color(0xFF4C4AEF);
  static const Color refundListIconColor = Color(0xFF0E9445);
}
